<?php
/**
 * Special page aliases for extension ContentTranslation.
 *
 * @copyright 2014 ContentTranslation Team and others; see AUTHORS.txt
 * @license GPL-2.0-or-later
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'ContentTranslation' => [ 'ContentTranslation', 'CX' ],
	'ContentTranslationStats' => [ 'ContentTranslationStats', 'CXStats' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'ContentTranslation' => [ 'ترجمة_المحتوى' ],
	'ContentTranslationStats' => [ 'إحصاءات_ترجمة_المحتوى' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'ContentTranslation' => [ 'ترجمه_المحتوى' ],
	'ContentTranslationStats' => [ 'احصاءات_ترجمه_المحتوى' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'ContentTranslation' => [ 'مهتوایی_ترجمه' ],
	'ContentTranslationStats' => [ 'ContentTranslationStats' ],
];

/** Bengali (বাংলা) */
$specialPageAliases['bn'] = [
	'ContentTranslation' => [ 'বিষয়বস্তু_অনুবাদ' ],
	'ContentTranslationStats' => [ 'বিষয়বস্তু_অনুবাদের_পরিসংখ্যান' ],
];

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = [
	'ContentTranslation' => [ 'Prijevod_sadržaja' ],
	'ContentTranslationStats' => [ 'Statistika_prevođenja_sadržaja' ],
];

/** Czech (čeština) */
$specialPageAliases['cs'] = [
	'ContentTranslation' => [ 'Překlad' ],
	'ContentTranslationStats' => [ 'Statistiky_využití_nástroje_Překlad' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'ContentTranslation' => [ 'Inhaltsübersetzung' ],
	'ContentTranslationStats' => [ 'Statistiken_zu_Inhaltsübersetzungen' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'ContentTranslation' => [ 'AçarnayışêZerreki', 'AZ' ],
];

/** Spanish (Español) */
$specialPageAliases['es'] = [
	'ContentTranslation' => [ 'Traducción_de_contenidos' ],
	'ContentTranslationStats' => [ 'Estadísticas_de_traducción_de_contenidos' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'ContentTranslation' => [ 'ترجمهٔ_محتوا', 'ترجمه_محتوا' ],
	'ContentTranslationStats' => [ 'آمار_ترجمهٔ_محتوا', 'آمار_ترجمه_محتوا' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'ContentTranslation' => [ 'Sisällön_kääntäminen' ],
	'ContentTranslationStats' => [ 'Käännetyn_sisällön_tilastot' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'ContentTranslation' => [ 'תרגום_תוכן' ],
	'ContentTranslationStats' => [ 'סטטיסטיקות_תרגום_תוכן' ],
];

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = [
	'ContentTranslation' => [ 'Prevoditelj_sadržaja' ],
	'ContentTranslationStats' => [ 'Statistika_prijevoda_sadržaja' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'ContentTranslation' => [ 'Wobsahowe_přełožowanje' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'ContentTranslation' => [ 'TraduzioneContenuti' ],
	'ContentTranslationStats' => [ 'StatisticheTraduzioneContenuti' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'ContentTranslation' => [ '내용번역' ],
	'ContentTranslationStats' => [ '내용번역통계' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'ContentTranslation' => [ 'Iwwersetzung_vum_Inhalt' ],
	'ContentTranslationStats' => [ 'Statistiken_iwwer_d\'Iwwersetze_vun_Inhalter' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'ContentTranslation' => [ 'والریاری_مینونە', 'سی_ایکس' ],
	'ContentTranslationStats' => [ 'گوتە_یاری_ڤالئرشتئن_مینونە', 'گوتە_کاری_سی_ئیکس' ],
];

/** Malagasy (Malagasy) */
$specialPageAliases['mg'] = [
	'ContentTranslation' => [ 'FandikanaVontoatiny' ],
	'ContentTranslationStats' => [ 'StatistikaFandikanaVontoatiny' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'ContentTranslation' => [ 'ПреводНаСодржини' ],
	'ContentTranslationStats' => [ 'СтатистикаЗаПреводНаСодржини' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'ContentTranslation' => [ 'ലേഖനപരിഭാഷ' ],
];

/** Malay (Bahasa Melayu) */
$specialPageAliases['ms'] = [
	'ContentTranslation' => [ 'Penterjemahan_kandungan' ],
	'ContentTranslationStats' => [ 'Statistik_penterjemahan_kandungan' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'ContentTranslation' => [ 'Innholdsoversettelse' ],
	'ContentTranslationStats' => [ 'Innholdsoversettelsesstatistikk' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'ContentTranslation' => [ 'Paginavertalen' ],
	'ContentTranslationStats' => [ 'Paginavertalingsstatistieken' ],
];

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = [
	'ContentTranslation' => [ 'Innhaldsomsetjing' ],
	'ContentTranslationStats' => [ 'Innhaldsomsetjingsstatistikk' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)‎) */
$specialPageAliases['sr-ec'] = [
	'ContentTranslation' => [ 'Превод_садржаја', 'Превођење_садржаја' ],
	'ContentTranslationStats' => [ 'Статистика_превођења_садржаја' ],
];

/** Serbian (Latin script) (srpski (latinica)‎) */
$specialPageAliases['sr-el'] = [
	'ContentTranslation' => [ 'Prevod_sadržaja', 'Prevođenje_sadržaja' ],
	'ContentTranslationStats' => [ 'Statistika_prevođenja_sadržaja' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'ContentTranslation' => [ 'Innehållsöversättning' ],
	'ContentTranslationStats' => [ 'Innehållsöversättningsstatistik' ],
];

/** Ukrainian (українська) */
$specialPageAliases['uk'] = [
	'ContentTranslation' => [ 'Переклад_вмісту' ],
	'ContentTranslationStats' => [ 'Статистика_Перекладу_вмісту' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'ContentTranslation' => [ 'ترجمہ_مواد', 'تم' ],
	'ContentTranslationStats' => [ 'شماریات_ترجمہ_مواد', 'شماریات_تم' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'ContentTranslation' => [ 'Dịch_nội_dung' ],
	'ContentTranslationStats' => [ 'Thống_kê_dịch_nội_dung' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'ContentTranslation' => [ '内容翻译' ],
	'ContentTranslationStats' => [ '内容翻译统计' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'ContentTranslation' => [ '內容翻譯' ],
	'ContentTranslationStats' => [ '內容翻譯統計' ],
];
